Package org.drinkless.tdlib

# Class TdApi.SendTextMessageDraft

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SendTextMessageDraft

Enclosing class:
  `TdApi`

public static class TdApi.SendTextMessageDraft extends TdApi.Function<TdApi.Ok>
Sends a draft for a being generated text message; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `draftId`
  Unique identifier of the draft.
  `int`
  `forumTopicId`
  The forum topic identifier in which the message will be sent; pass 0 if none.
  `TdApi.FormattedText`
  `text`
  Draft text of the message; pass null to show a "Thinking..." placeholder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendTextMessageDraft()`
  Default constructor for a function, which sends a draft for a being generated text message; for bots only.
  `SendTextMessageDraft(long chatId, int forumTopicId, long draftId, TdApi.FormattedText text)`
  Creates a function, which sends a draft for a being generated text message; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### forumTopicId

    public int forumTopicId
    The forum topic identifier in which the message will be sent; pass 0 if none.

  - ### draftId

    public long draftId
    Unique identifier of the draft.

  - ### text

    public TdApi.FormattedText text
    Draft text of the message; pass null to show a "Thinking..." placeholder.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendTextMessageDraft

    public SendTextMessageDraft()
    Default constructor for a function, which sends a draft for a being generated text message; for bots only.

    Returns `Ok`

  - ### SendTextMessageDraft

    public SendTextMessageDraft(long chatId, int forumTopicId, long draftId, TdApi.FormattedText text)
    Creates a function, which sends a draft for a being generated text message; for bots only.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `forumTopicId` - The forum topic identifier in which the message will be sent; pass 0 if none.
      `draftId` - Unique identifier of the draft.
      `text` - Draft text of the message; pass null to show a "Thinking..." placeholder.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR